MagickWand: import.c File Reference

# import.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/mogrify-private.h"`
`#include "magick/xwindow-private.h"`

## Defines
#define | DestroyImport()
#define | ThrowImportException(asperity, tag, option)
#define | ThrowImportInvalidArgumentException(option, argument)
## Functions
static void | ImportUsage (void)
static long | MagickMax (const long x, const long y)
WandExport MagickBooleanType | ImportImageCommand (ImageInfo *image_info, int argc, char **argv, char **wand_unused(metadata), ExceptionInfo *exception)

## Define Documentation

#define DestroyImport | ( |  | ) |

Value:

    { \
      XDestroyResourceInfo(&resource_info); \
      if (display != (Display *) NULL) \
        { \
          XCloseDisplay(display); \
          display=(Display *) NULL; \
        } \
      for ( ; k >= 0; k--) \
        image_stack[k]=DestroyImageList(image_stack[k]); \
      for (i=0; i < (long) argc; i++) \
        argv[i]=DestroyString(argv[i]); \
      argv=(char **) RelinquishMagickMemory(argv); \
    }

#define ThrowImportException | ( | asperity,
|  | tag,
|  | option |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),asperity,tag,"`%s'", \
         option); \
      DestroyImport(); \
      return(MagickFalse); \
    }

#define ThrowImportInvalidArgumentException | ( | option,
|  | argument |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),OptionError, \
        "InvalidArgument","`%s': %s",argument,option); \
      DestroyImport(); \
      return(MagickFalse); \
    }

## Function Documentation

WandExport MagickBooleanType ImportImageCommand | ( | ImageInfo * | image_info,
|  | int | argc,
|  | char ** | argv,
|  | char ** | wand_unused(metadata),
|  | ExceptionInfo * | exception |
| ) |  |  |

static void ImportUsage | ( | void |  | ) | `[static]`

static long MagickMax | ( | const long | x,
|  | const long | y |
| ) |  |  | `[inline, static]`